using System;

namespace VarekartotekApplication
{
	// definition af Vare (data og metoder der findes for hver enkelt vare-object
	public class VareImpl : Vare
	{
		// vare-objektes memory (datafelter)
		public int      varenr;
		public string   betegnelse;
		public int      antalPLager;
		public float    salgsEnhedsPris;            // aktuel excl. moms

		// constructor til brug for skabelse af nyt vare-object
		public VareImpl (int varenr, string betegnelse, int antalPLager, float salgsEnhedsPris)
		{
			this.varenr = varenr;
			this.betegnelse = betegnelse;
			this.antalPLager = antalPLager;
			this.salgsEnhedsPris = salgsEnhedsPris;
		}

		#region Vare Members
		public int Varenr
		{
			get { return this.varenr; }
		}
		public string Betegnelse
		{
			get { return this.betegnelse; }
			set { this.betegnelse = value; }
		}
		public int AntalPLager
		{
			get { return this.antalPLager; }
		}

		public float SalgsEnhedsPris
		{
			get { return this.salgsEnhedsPris; }
			set { this.salgsEnhedsPris = value; }
		}
		public double Salgsvrdi()
		{
			double salgsvrdi = this.antalPLager * 3;
			return salgsvrdi;
		}
		#endregion

		public override string ToString ()
		{
			return this.betegnelse;
		}

	}
}
